Skip to main content
PUT
/
ecommerce
/
coupons
/
{couponId}
Update ecommerce coupon
curl --request PUT \
  --url https://api.service.getjusto.com/v3/ecommerce/coupons/{couponId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "coupon": {
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "percentageOff": 123,
    "maxPercentageOffDiscount": 123,
    "discountAmount": 123,
    "fixedAmount": 123,
    "fromDate": "2020-01-01T00:00:00.000Z",
    "endDate": "2020-01-01T00:00:00.000Z",
    "maxRedemptions": 123,
    "maxRedemptionsPerUser": 123,
    "maxRedemptionsPerUserPerDay": true,
    "maxRedemptionsPerCode": 123,
    "onlyForNewUsers": true,
    "onlyForProductsWithoutDiscount": true,
    "requirePhoneVerification": true,
    "requiresCategoriesIds": [
      "<string>"
    ],
    "requiresProductsIds": [
      "<string>"
    ],
    "requiresStoresIds": [
      "<string>"
    ],
    "requiresMenusIds": [
      "<string>"
    ],
    "requiresPaymentTypes": [
      "<string>"
    ],
    "requireChannels": [
      "<string>"
    ],
    "requiredBINs": [
      "<string>"
    ],
    "minimumOrderPrice": 123,
    "maximumOrderPrice": 123,
    "dontApplyToProductsIds": [
      "<string>"
    ],
    "dontApplyDiscountToOptions": true,
    "isHidden": true,
    "allowedEmails": [
      "<string>"
    ],
    "externalId": "<string>",
    "isBirthdayCoupon": true,
    "onlyRedeemOnBirthday": true,
    "autoRecommend": true,
    "applyDeliveryDiscount": true,
    "deliveryDiscountValue": 123,
    "deliveryDiscountType": "<string>",
    "deliveryDiscountPercentage": 123,
    "maxProductsPerOrder": 123
  }
}
'
{
  "success": true,
  "data": {
    "_id": "<string>",
    "websiteId": "<string>",
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "percentageOff": 123,
    "maxPercentageOffDiscount": 123,
    "discountAmount": 123,
    "fixedAmount": 123,
    "fromDate": "2020-01-01T00:00:00.000Z",
    "endDate": "2020-01-01T00:00:00.000Z",
    "maxRedemptions": 123,
    "maxRedemptionsPerUser": 123,
    "maxRedemptionsPerUserPerDay": true,
    "maxRedemptionsPerCode": 123,
    "totalRedemptions": 123,
    "onlyForNewUsers": true,
    "onlyForProductsWithoutDiscount": true,
    "requirePhoneVerification": true,
    "requiresCategoriesIds": [
      "<string>"
    ],
    "requiresProductsIds": [
      "<string>"
    ],
    "requiresStoresIds": [
      "<string>"
    ],
    "requiresMenusIds": [
      "<string>"
    ],
    "requiresPaymentTypes": [
      "<string>"
    ],
    "requireChannels": [
      "<string>"
    ],
    "requiredBINs": [
      "<string>"
    ],
    "minimumOrderPrice": 123,
    "maximumOrderPrice": 123,
    "dontApplyToProductsIds": [
      "<string>"
    ],
    "dontApplyDiscountToOptions": true,
    "isHidden": true,
    "allowedEmails": [
      "<string>"
    ],
    "externalId": "<string>",
    "isBirthdayCoupon": true,
    "onlyRedeemOnBirthday": true,
    "autoRecommend": true,
    "applyDeliveryDiscount": true,
    "deliveryDiscountValue": 123,
    "deliveryDiscountType": "<string>",
    "deliveryDiscountPercentage": 123,
    "maxProductsPerOrder": 123,
    "createdAt": "2020-01-01T00:00:00.000Z",
    "deletedAt": "2020-01-01T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Reemplaza la configuración editable de un cupón ecommerce de la marca autorizada. Úsalo cuando tengas el estado completo que quieres dejar para el cupón. En Justo Admin MCP esta operación requiere confirmación explícita del usuario porque modifica reglas de descuento.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

couponId
string
required

ID Justo o externalId del cupón.

Body

application/json
coupon
object
required

Campos para actualizar un cupón ecommerce. Todos los campos son opcionales.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object

Cupón ecommerce de la marca autorizada. La data siempre queda limitada al website autorizado.